Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] GCC 6 revdep-rebuild errors
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
Spargeltarzan
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jul 2017
Posts: 128

PostPosted: Mon Nov 20, 2017 7:15 am    Post subject: [SOLVED] GCC 6 revdep-rebuild errors Reply with quote

Hi,

After the official gcc upgrade I performed revdep-rebuild as stated in documentation:

Code:
revdep-rebuild --library 'libstdc++.so.6' -- --exclude gcc


leading to these 4 compile errors out of 183 packages:
Code:

 * The following 4 packages have failed to build, install, or execute
 * postinst:
 *
 *  (app-text/pdftk-2.02:0/0::gentoo, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/app-text/pdftk-2.02/temp/build.log'
 *  (net-libs/webkit-gtk-2.4.11-r2:3/25::dantrell-gnome, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/net-libs/webkit-gtk-2.4.11-r2/temp/build.log'
 *  (net-libs/webkit-gtk-2.18.3:4/37::dantrell-gnome, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/net-libs/webkit-gtk-2.18.3/temp/build.log'
 *  (www-client/firefox-52.4.0:0/0::gentoo, ebuild scheduled for merge), Log file:
 *   '/var/tmp/portage/www-client/firefox-52.4.0/temp/build.log'


Any idea what went wrong? This is my first gcc upgrade, some documentation says to perform a full emerge of @system and @world after the upgrade. Should I do?


Last edited by Spargeltarzan on Thu Nov 30, 2017 4:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16891
Location: here

PostPosted: Mon Nov 20, 2017 7:17 am    Post subject: Reply with quote

You should post build.log of all package with wgetpaste
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
DeIM
Apprentice
Apprentice


Joined: 11 Apr 2006
Posts: 250

PostPosted: Mon Nov 20, 2017 10:05 am    Post subject: Reply with quote

Hi, pdftk needs gcj that is not build in gcc 6.4.0. I'm facing this problem also.

https://bugs.gentoo.org/562568
Back to top
View user's profile Send private message
Spargeltarzan
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jul 2017
Posts: 128

PostPosted: Mon Nov 20, 2017 2:05 pm    Post subject: Reply with quote

I only have the build log for pdftk

https://paste.pound-python.org/show/BJTsyRoo7edv1N3krUgn/

The others are not in the specified folder

What is the right procedure after the gcc upgrade, should I perform the emerge system/world? Is the revdep-resolve even necessary?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16891
Location: here

PostPosted: Mon Nov 20, 2017 2:43 pm    Post subject: Reply with quote

Spargeltarzan wrote:
I only have the build log for pdftk

https://paste.pound-python.org/show/BJTsyRoo7edv1N3krUgn/

I think you should maintain gcc 5.4 and use /etc/portage/env/ (here a real example) for force to use gcc 5 for this package.

Spargeltarzan wrote:
The others are not in the specified folder

You should rebuild these packages and when the error occur copy build.log in a pastebin

Spargeltarzan wrote:
What is the right procedure after the gcc upgrade, should I perform the emerge system/world? Is the revdep-resolve even necessary?

Read here
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Spargeltarzan
Tux's lil' helper
Tux's lil' helper


Joined: 23 Jul 2017
Posts: 128

PostPosted: Thu Nov 30, 2017 4:37 pm    Post subject: Reply with quote

All issues resolved (removed pdftk from system)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum